//+------------------------------------------------------------------+
//|                                                           MA.mq4 |
//|                      Copyright  2009, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+

//+------------------------------------------------------------------+
#property copyright "Copyright  2009, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_chart_window
#property indicator_buffers 1
#property indicator_color1 Red

extern int tf=240;
//----
double ma1_buffer [];
int shift;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()  {
   if(Period()>=tf)return(0);
   shift=tf/Period()/2;
   
   SetIndexBuffer(0, ma1_buffer);
   SetIndexStyle(0,DRAW_SECTION);
   SetIndexShift( 0, shift);
   
   return(0);
  }
//+------------------------------------------------------------------+
int deinit()  {    return(0);  }
//+------------------------------------------------------------------+
int start()  {
//----
ArrayInitialize(ma1_buffer,EMPTY_VALUE);
 datetime sve;
  for (int l=Bars; l>=0; l--)
   if(sve!=iTime(0,tf,iBarShift(0,tf,Time[l],false))){
      ma1_buffer[l+2*shift]= (iClose(0,tf,iBarShift(0,tf,Time[l],false)+1)+iClose(0,tf,iBarShift(0,tf,Time[l],false)))/2;
      sve  =iTime(0,tf,iBarShift(0,tf,Time[l],false));
   }
   

return(0);
}


